// Ionic Starter App

// deep link
window.localStorage.setItem("external_load", "undefined");
var handleOpenURL = function(url) {
  window.localStorage.setItem("external_load", url);
};

angular.module('starter', 
  ['ionic', 
  'starter.controllers',
  'ngCordova',
  'ionic.service.core',
  'ionic.service.push'])

.config(['$compileProvider', function($compileProvider) {
  $compileProvider.aHrefSanitizationWhitelist(/^\s*(https?|mailto|tel|mailto|file):/);
}])

.config(['$ionicAppProvider', function($ionicAppProvider) {
  // Identify app
  $ionicAppProvider.identify({
    // The App ID (from apps.ionic.io) for the server
    app_id: '64e84ae8',
    // The public API key all services will use for this app
    api_key: '82d31fa309a7acb58803a07d527134c6a0a682ecc473ec1e',
    // The GCM project number
    gcm_id: '568391246811'
  });
}])

.run(function($ionicPlatform, $location, $ionicPopup) {
  $ionicPlatform.ready(function() {

    // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
    // for form inputs)
    if (window.cordova && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
      cordova.plugins.Keyboard.disableScroll(true);
    }
    if (window.StatusBar) {
      // org.apache.cordova.statusbar required
      StatusBar.styleDefault();
    }

    // Som de clique https://github.com/SidneyS/cordova-plugin-nativeaudio.git
  	window.plugins.NativeAudio.preloadSimple( 'click', 'lib/click.wav', function(msg){
    }, function(msg){
      console.log( 'errorAudio: ' + msg );
    });

    // cor statusbar cordova-plugin-statusbar
    StatusBar.backgroundColorByHexString("#0D47A1");

    setTimeout(function() {
      // Abrir deep link nl.x-services.plugins.launchmyapp
      if (window.localStorage.getItem("external_load") !== "undefined") {
        $location.path("/app/"+window.localStorage.getItem("external_load").split("/").pop());
        // console.log(window.localStorage.getItem("external_load").split("/").pop())
      }

      // Google Analystics
      analytics.startTrackerWithId('UA-59976187-3');
      analytics.trackView(document.title);
    }, 1000);
  })
})

.config(function($ionicConfigProvider) {
  // note that you can also chain configs
  $ionicConfigProvider.backButton.text('Voltar').icon('ion-chevron-left');
  $ionicConfigProvider.scrolling.jsScrolling(false);
})

.config(function($stateProvider, $urlRouterProvider) {
  $stateProvider

  .state('app', {
    url: '/app',
    abstract: true,
    templateUrl: 'templates/menu.html',
    controller: 'AppCtrl'
  })

  .state('app.cronograma', {
    url: '/cronograma',
    views: {
      'menuContent': {
        templateUrl: 'templates/cronograma.html'
      }
    }
  })
  .state('app.videos', {
    url: '/videos',
    views: {
      'menuContent': {
        templateUrl: 'templates/videos.html',
        controller: 'VideosCtrl'
      }
    }
  })

  .state('app.euvou', {
    url: '/euvou',
    views: {
      'menuContent': {
        templateUrl: 'templates/euvou.html'
      }
    }
  })

  .state('app.sobre', {
    url: '/sobre',
    views: {
      'menuContent': {
        templateUrl: 'templates/sobre.html'
      }
    }
  })
  // Ocultos
  .state('app.push', {
    url: '/push',
    views: {
      'menuContent': {
        templateUrl: 'templates/push.html'
      }
    }
  })
  .state('app.contato', {
    url: '/contato',
    views: {
      'menuContent': {
        templateUrl: 'templates/contato.html'
      }
    }
  })
  // Ocultos Fim
    .state('app.voxdei', {
      url: '/voxdei',
      views: {
        'menuContent': {
          templateUrl: 'templates/voxdei.html',
          controller: 'ShalomCtrl'
        }
      }
    })
    .state('app.local', {
      url: '/local',
      views: {
        'menuContent': {
          templateUrl: 'templates/local.html'
        }
      }
    });
    
  // if none of the above states are matched, use this as the fallback
  $urlRouterProvider.otherwise('/app/voxdei');
});