var app = angular.module('starter.controllers', [])

.controller('AppCtrl', function($location, $ionicPopup, $ionicUser, $ionicPush, $rootScope, $scope, $ionicModal, $timeout, $interval, $sce, $http, $ionicPopup) {
  $rootScope.$on('$cordovaPush:tokenReceived', function(event, data) {
    console.log('Got token', data.token, data.platform);
  });
  // With the new view caching in Ionic, Controllers are only called
  // when they are recreated or on app start, instead of every page change.
  // To listen for when this page is active (for example, to refresh data),
  // listen for the $ionicView.enter event:
  //$scope.$on('$ionicView.enter', function(e) {
  //});

  $timeout(function() {
  // Usuário
    var user = $ionicUser.get();
    if(!user.user_id) {
      // Set your user_id here, or generate a random one
      user.user_id = device.uuid
    };

    $ionicUser.identify(user);
    
    // Notificações Push
    $ionicPush.register({
      canShowAlert: true, //Should new pushes show an alert on your screen?
      canSetBadge: true, //Should new pushes be allowed to update app icon badges?
      canPlaySound: true, //Should notifications be allowed to play a sound?
      canRunActionsOnWake: true, // Whether to run auto actions outside the app,
      onNotification: function(notification) {
        // Called for each notification.
        $scope.lastNotification = JSON.stringify(notification);
      }
    }).then(function(deviceToken) {
      $scope.token = deviceToken;
    });
  }, 1000);

  // Som de clique
  $scope.play = function (){
      window.plugins.NativeAudio.play('click');
      window.setTimeout( function(){
        window.plugins.NativeAudio.stop('click');
      }, 5 );
  };

  // Abre Urls
  $scope.abrir = function(url) {
    var ref = window.open(url, '_system', "location=no", "zoom=no");
    ref.addEventListener('loadstart', function(event) { $scope.play(); });
    ref.addEventListener('loaderror', function(event) { 
      ref.close();
      $ionicPopup.alert({
        title: "Ops. Houve um erro!",
        content: "Não foi possível abrir"
      })
    });
    ref.addEventListener('exit', function(event) { ref.close(); });
  }

  // Form data for the login modal
  $scope.loginData = {};

  // Create the video modal that we will use later
  $ionicModal.fromTemplateUrl('templates/player.html', {
    scope: $scope
  }).then(function(modal) {
    $scope.modal = modal;
  });

  // Triggered in the login modal to close it
  $scope.closePlayer = function() {
    // Para o vídeo
    var outerDiv = document.getElementById("videoModalone");
    var youtubeIframe = outerDiv.getElementsByTagName("iframe")[0].contentWindow;
    youtubeIframe.postMessage('{"event":"command","func":"' + 'stopVideo' + '","args":""}', '*');
    // Fecha o modal
    $scope.modal.hide();
    $scope.play(); // reproduzir som
  };

  // Open the abrirVideo modal
  $scope.abrirVideo = function(idVideo, titulo) {
    $scope.trustSrc = function(src) {
      return $sce.trustAsResourceUrl(src);
    }
    $scope.movie = {src:"https://www.youtube.com/embed/"+idVideo+"?autoplay=1&enablejsapi=1&version=3&playerapiid=ytplayer&theme=light&showinfo=0&rel=0", title: titulo};
    // Abre Modal
    $scope.modal.show();
    $scope.play(); // reproduzir som
  };

  // Perform the login action when the user submits the login form
  $scope.doLogin = function() {
    console.log('Doing login', $scope.loginData);

    // Simulate a login delay. Remove this and replace with your login
    // code if using a login system
    $timeout(function() {
      $scope.closeLogin();
    }, 1000);
  };

  $scope.abrirModal = function(titulo, texto) {
    $ionicPopup.alert({
        title: titulo,
        content: texto
    });
  }

  $scope.verificaConexao = function() {
    // Network information
    if(window.Connection) {
      if(navigator.connection.type == Connection.NONE) {
        $ionicPopup.alert({
            title: "Sem Internet",
            content: "O dispositivo está sem internet. Para usar essa função, é necessário a conexão."
        });
      }
    }
  }

  $scope.carregarMural = function() {
    $scope.verificaConexao();
    $http.get("https://sistema.scc.org.br/api/voxdei-mural").success(function(mural) {
        $scope.carregando = true;
        $scope.mural = mural;
    }).error(function() {
        $scope.erro = true;
        $scope.carregando = true;
    });
  };

  $scope.showAlert = function(nome, cidade, idade, whatsapp, facebook, expectativa) {
   var alertPopup = $ionicPopup.alert({
     title: nome,
     template: 'Cidade: '+cidade+'<br />'+'Idade: '+idade+'<br />'+'WhatsApp: '+whatsapp+'<br />'+'Facebook: '+facebook+'<br />'+'Expectativa: '+expectativa
   });
   alertPopup.then(function(res) {
     // console.log('Thank you for not eating my delicious ice cream cone');
   });
  };
})

.controller('ShalomCtrl', function($scope, $location) {
  $scope.rota = function(page) {
    $location.path("/app/"+page);
    $scope.play(); // reproduzir som
  }
});